aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-firmware/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-11-16 14:46:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-11-16 14:46:51 +0000
commit257b00a96d4464f4dca9978aedb35165ea54b74e (patch)
tree6f0c77045d9d3724f219e2c52e0b46a55c6f19c3 /main/linux-firmware/APKBUILD
parent7ee3b493c265ef4a910082e459a32a74e0d6e988 (diff)
downloadaports-257b00a96d4464f4dca9978aedb35165ea54b74e.tar.gz
aports-257b00a96d4464f4dca9978aedb35165ea54b74e.tar.bz2
aports-257b00a96d4464f4dca9978aedb35165ea54b74e.tar.xz
main/linux-firmware: upgrade to 20121116
Diffstat (limited to 'main/linux-firmware/APKBUILD')
-rw-r--r--main/linux-firmware/APKBUILD26
1 files changed, 14 insertions, 12 deletions
diff --git a/main/linux-firmware/APKBUILD b/main/linux-firmware/APKBUILD
index 5e9d82e42e..6b7f5284e3 100644
--- a/main/linux-firmware/APKBUILD
+++ b/main/linux-firmware/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=linux-firmware
-pkgver=20120810
+pkgver=20121116
pkgrel=0
pkgdesc="firmware files for linux"
#url="http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=summary"
@@ -13,26 +13,28 @@ depends=
makedepends=
install=""
subpackages=
-source="http://dev.alpinelinux.org/~ncopa/linux-firmware/linux-firmware-${pkgver}.tar.bz2"
-#_giturl="git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git"
-_giturl="git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git"
-_upload=dev.alpinelinux.org:public_html/linux-firmware/
replaces="linux-grsec linux-vserver"
-_builddir="${srcdir}/${pkgname}"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-${pkgver}.tar.gz"
+_giturl="git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git"
+_upload=dev.alpinelinux.org:/archive/$pkgname/
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
snapshot() {
local _date=$(date +%Y%m%d)
- local _pkg=$pkgname-$_date.tar.bz2
+ local _pkg=$pkgname-$_date.tar.gz
mkdir -p "$srcdir"
cd "$srcdir"
rm -rf "$pkgname"
- git clone --depth=1 $_giturl
- tar --exclude .git -cjf $_pkg $pkgname
+ git clone --depth=1 --bare $_giturl || return 1
+ git --git-dir ${_giturl##*/} archive -o $_pkg \
+ --prefix=$pkgname-$_date/ HEAD \
+ || return 1
msg "New snapshot: $_pkg"
if [ -n "$_upload" ]; then
msg "Uploading to $_upload"
- scp $_pkg $_upload || return 1
- abump $pkgname-$_date
+ scp $_pkg $_upload && abump $pkgname-$_date || return 1
fi
}
@@ -49,4 +51,4 @@ package() {
mv "${_builddir}" ${pkgdir}/lib/firmware
}
-md5sums="5551d4f8275f87ace68b004eaf4d4b08 linux-firmware-20120810.tar.bz2"
+md5sums="2d5ad26c3bb5555d64239a7e73c2a005 linux-firmware-20121116.tar.gz"